共用方式為


Cluster Managers - Update Relay Private Endpoint Connection

更新由指定叢集管理員管理的 Azure Relay 命名空間的私有端點連線。 使用此操作來批准或拒絕叢集管理器管理的中繼命名空間的待處理私有端點連線請求。

POST https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.NetworkCloud/clusterManagers/{clusterManagerName}/updateRelayPrivateEndpointConnection?api-version=2026-01-01-preview

URI 參數

名稱 位於 必要 類型 Description
clusterManagerName
path True

string

pattern: ^([a-zA-Z0-9][a-zA-Z0-9-_]{0,28}[a-zA-Z0-9])$

叢集管理員的名稱。

resourceGroupName
path True

string

minLength: 1
maxLength: 90

資源群組的名稱。 名稱不區分大小寫。

subscriptionId
path True

string (uuid)

目標訂用帳戶的標識碼。 此值必須是 UUID。

api-version
query True

string

minLength: 1

用於此作業的 API 版本。

要求本文

名稱 必要 類型 Description
connectionState True

RelayPrivateEndpointConnectionState

私有端點連線要設定的狀態。

privateEndpointResourceId True

string (arm-id)

允許或拒絕連接中繼命名空間的私有端點資源 ID。

description

string

描述要與私有端點連線關聯。

回應

名稱 類型 Description
202 Accepted

已接受資源作業。

標題

  • Location: string
  • Retry-After: integer
Other Status Codes

ErrorResponse

未預期的錯誤回應。

安全性

azure_auth

Azure Active Directory OAuth2 Flow。

類型: oauth2
Flow: implicit
授權 URL: https://login.microsoftonline.com/common/oauth2/authorize

範圍

名稱 Description
user_impersonation 模擬您的用戶帳戶

範例

Approve private endpoint connection
Reject private endpoint connection

Approve private endpoint connection

範例要求

POST https://management.azure.com/subscriptions/123e4567-e89b-12d3-a456-426655440000/resourceGroups/resourceGroupName/providers/Microsoft.NetworkCloud/clusterManagers/clusterManagerName/updateRelayPrivateEndpointConnection?api-version=2026-01-01-preview

{
  "connectionState": "Approved",
  "description": "Approving private endpoint connection",
  "privateEndpointResourceId": "/subscriptions/123e4567-e89b-12d3-a456-426655440000/resourceGroups/resourceGroupName/providers/Microsoft.Network/privateEndpoints/privateEndpointName"
}

範例回覆

Location: https://management.azure.com/subscriptions/123e4567-e89b-12d3-a456-426655440000/providers/Microsoft.NetworkCloud/locations/location/operationStatuses/operationId?api-version=2026-01-01-preview

Reject private endpoint connection

範例要求

POST https://management.azure.com/subscriptions/123e4567-e89b-12d3-a456-426655440000/resourceGroups/resourceGroupName/providers/Microsoft.NetworkCloud/clusterManagers/clusterManagerName/updateRelayPrivateEndpointConnection?api-version=2026-01-01-preview

{
  "connectionState": "Rejected",
  "description": "Rejecting private endpoint connection",
  "privateEndpointResourceId": "/subscriptions/123e4567-e89b-12d3-a456-426655440000/resourceGroups/resourceGroupName/providers/Microsoft.Network/privateEndpoints/privateEndpointName"
}

範例回覆

Location: https://management.azure.com/subscriptions/123e4567-e89b-12d3-a456-426655440000/providers/Microsoft.NetworkCloud/locations/location/operationStatuses/operationId?api-version=2026-01-01-preview

定義

名稱 Description
ClusterManagerUpdateRelayPrivateEndpointConnectionParameters

ClusterManagerUpdateRelayPrivateEndpointConnectionParameters 代表由叢集管理器管理的私有中繼私有中繼私有端點連線的批准或拒絕請求內容。

ErrorAdditionalInfo

資源管理錯誤其他資訊。

ErrorDetail

錯誤詳細數據。

ErrorResponse

錯誤回應

RelayPrivateEndpointConnectionState

私有端點連線要設定的狀態。

ClusterManagerUpdateRelayPrivateEndpointConnectionParameters

ClusterManagerUpdateRelayPrivateEndpointConnectionParameters 代表由叢集管理器管理的私有中繼私有中繼私有端點連線的批准或拒絕請求內容。

名稱 類型 Description
connectionState

RelayPrivateEndpointConnectionState

私有端點連線要設定的狀態。

description

string

描述要與私有端點連線關聯。

privateEndpointResourceId

string (arm-id)

允許或拒絕連接中繼命名空間的私有端點資源 ID。

ErrorAdditionalInfo

資源管理錯誤其他資訊。

名稱 類型 Description
info

object

其他資訊。

type

string

其他信息類型。

ErrorDetail

錯誤詳細數據。

名稱 類型 Description
additionalInfo

ErrorAdditionalInfo[]

錯誤其他資訊。

code

string

錯誤碼。

details

ErrorDetail[]

錯誤詳情

message

string

錯誤訊息。

target

string

錯誤目標。

ErrorResponse

錯誤回應

名稱 類型 Description
error

ErrorDetail

error 物件。

RelayPrivateEndpointConnectionState

私有端點連線要設定的狀態。

Description
Approved

私有端點連線已獲批准。

Rejected

私有端點連線被拒絕。